# DataExchange
TKIGES
IGESDimen

# IGESDimen_SectionedArea Class Reference

defines IGES Sectioned Area, Type <230> Form <0>,
in package IGESDimen
A sectioned area is a portion of a design which is to be
filled with a pattern of lines. Ordinarily, this entity
is used to reveal or expose shape or material characteri-
stics defined by other entities. It consists of a pointer
to an exterior definition curve, a specification of the
pattern of lines, the coordinates of a point on a pattern
line, the distance between the pattern lines, the angle
between the pattern lines and the X-axis of definition
space, and the specification of any enclosed definition
curves (commonly known as islands).

`#include <IGESDimen_SectionedArea.hxx>`

Inheritance diagram for IGESDimen_SectionedArea:

[legend]

## Public Member Functions

Standard_EXPORT | IGESDimen_SectionedArea ()
Standard_EXPORT void | Init (const Handle(IGESData_IGESEntity)&aCurve, const Standard_Integer aPattern, const gp_XYZ &aPoint, const Standard_Real aDistance, const Standard_Real anAngle, const Handle(IGESData_HArray1OfIGESEntity)&someIslands)
Standard_EXPORT void | SetInverted (const Standard_Boolean mode)
| Sets the cross hatches to be inverted or not, according value of <mode> (corresponds to FormNumber) .
Standard_EXPORT Standard_Boolean | IsInverted () const
| Returns True if cross hatches as Inverted, else they are Standard (Inverted : Form=1, Standard : Form=0) .
Standard_EXPORT Handle_IGESData_IGESEntity | ExteriorCurve () const
| returns the exterior definition curve
Standard_EXPORT Standard_Integer | Pattern () const
| returns fill pattern code
Standard_EXPORT gp_Pnt | PassingPoint () const
| returns point thru which line should pass
Standard_EXPORT gp_Pnt | TransformedPassingPoint () const
| returns point thru which line should pass after Transformation
Standard_EXPORT Standard_Real | ZDepth () const
| returns the Z depth
Standard_EXPORT Standard_Real | Distance () const
| returns the normal distance between lines
Standard_EXPORT Standard_Real | Angle () const
| returns the angle of lines with XT axis
Standard_EXPORT Standard_Integer | NbIslands () const
| returns the number of island curves
Standard_EXPORT Handle_IGESData_IGESEntity | IslandCurve (const Standard_Integer Index) const
| returns the interior definition curves, returns Null Handle exception raised if Index <= 0 or Index > NbIslands()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_IGESData_IGESEntity | theExteriorCurve
Standard_Integer | thePattern
gp_XYZ | thePassingPoint
Standard_Real | theDistance
Standard_Real | theAngle
Handle_IGESData_HArray1OfIGESEntity | theIslandCurves

## Constructor & Destructor Documentation

Standard_EXPORT IGESDimen_SectionedArea::IGESDimen_SectionedArea | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Real IGESDimen_SectionedArea::Angle | ( |  | ) | const

Standard_EXPORT Standard_Real IGESDimen_SectionedArea::Distance | ( |  | ) | const

Standard_EXPORT Handle_IGESData_IGESEntity IGESDimen_SectionedArea::ExteriorCurve | ( |  | ) | const

Standard_EXPORT const IGESDimen_SectionedArea::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESDimen_SectionedArea::Init | ( | const Handle(IGESData_IGESEntity)& | aCurve,
|  | const Standard_Integer | aPattern,
|  | const gp_XYZ & | aPoint,
|  | const Standard_Real | aDistance,
|  | const Standard_Real | anAngle,
|  | const Handle(IGESData_HArray1OfIGESEntity)& | someIslands
| ) |

Standard_EXPORT Standard_Boolean IGESDimen_SectionedArea::IsInverted | ( |  | ) | const

Standard_EXPORT Handle_IGESData_IGESEntity IGESDimen_SectionedArea::IslandCurve | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Integer IGESDimen_SectionedArea::NbIslands | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESDimen_SectionedArea::PassingPoint | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDimen_SectionedArea::Pattern | ( |  | ) | const

Standard_EXPORT void IGESDimen_SectionedArea::SetInverted | ( | const Standard_Boolean | mode | ) |

Standard_EXPORT gp_Pnt IGESDimen_SectionedArea::TransformedPassingPoint | ( |  | ) | const

Standard_EXPORT Standard_Real IGESDimen_SectionedArea::ZDepth | ( |  | ) | const

## Field Documentation

Standard_Real IGESDimen_SectionedArea::theAngle `[private]`

Standard_Real IGESDimen_SectionedArea::theDistance `[private]`

Handle_IGESData_IGESEntity IGESDimen_SectionedArea::theExteriorCurve `[private]`

Handle_IGESData_HArray1OfIGESEntity IGESDimen_SectionedArea::theIslandCurves `[private]`

gp_XYZ IGESDimen_SectionedArea::thePassingPoint `[private]`

Standard_Integer IGESDimen_SectionedArea::thePattern `[private]`

The documentation for this class was generated from the following file:

- IGESDimen_SectionedArea.hxx